[arch-commits] Commit in openjdk6/trunk (4 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Sun Jan 24 09:56:09 UTC 2010


    Date: Sunday, January 24, 2010 @ 04:56:09
  Author: andyrtr
Revision: 65084

prepare new 1.7 branch and rebuild for libpng14/libgpeg8, switch to new npplugin

Added:
  openjdk6/trunk/jpeg8.diff
  openjdk6/trunk/libpng14.diff
Modified:
  openjdk6/trunk/PKGBUILD
Deleted:
  openjdk6/trunk/libjpeg7.patch

----------------+
 PKGBUILD       |   94 ++++++++++++++++++++++++++++---------------------------
 jpeg8.diff     |   22 ++++++++++++
 libjpeg7.patch |   21 ------------
 libpng14.diff  |   11 ++++++
 4 files changed, 82 insertions(+), 66 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-24 09:39:50 UTC (rev 65083)
+++ PKGBUILD	2010-01-24 09:56:09 UTC (rev 65084)
@@ -4,47 +4,49 @@
 
 pkgname=('openjdk6' 'openjdk6-src')
 pkgbase="openjdk6"
-_icedteaver=1.6.2
-_openjdk_version=b16
-_openjdk_date=24_apr_2009
-pkgver=${_icedteaver}
+_date=20100122
+_javaver=6
+_icedteaver=1.7
+_openjdk_version=b17
+_openjdk_date=14_oct_2009
+pkgver=${_javaver}.${_openjdk_version}_0.hg_${_date}
 pkgrel=1
 url='http://icedtea.classpath.org'
 arch=('i686' 'x86_64')
 license=('GPL')
- # Use the new HS Express repository and hs14b15
- # http://icedtea.classpath.org/hg/release/icedtea6-1.5/rev/30d0a78a8748
-_hotspotver=09f7962b8b44 # what it downlopads itself / remove from configure to get it
+# cat src/icedtea6/hotspot.map or what it downlopads itself / remove from configure to get it
+_hotspotver=62926c7f67a3 
 makedepends=('gcc-libs' 'xdg-utils' 'hicolor-icon-theme' 'ca-certificates-java' 'libxtst' 'alsa-lib' 'giflib' 'libxp' 'gtk2'
-	     'nspr' 'zlib' 'freetype2' 'libjpeg>=7' 'libx11' 'libcups' 'patch' 'xalan-java' 'xulrunner>=1.9.1-2' 
+	     'nspr' 'zlib' 'freetype2' 'libjpeg>=8' 'libx11' 'libcups' 'patch' 'xalan-java' 'xulrunner>=1.9.2' 
 	     'apache-ant>=1.7.0-2' 'autoconf' 'unzip' 'rhino' 'mercurial' 'zip')
 options=('!emptydirs' 'force')
-source=(http://icedtea.classpath.org/download/source/icedtea6-${_icedteaver}.tar.gz
-	#ftp://ftp.archlinux.org/other/openjdk6/icedtea6-${_date}.tar.bz2
-	#http://icedtea.classpath.org/hg/icedtea6/archive/${_hgver}.tar.gz
+source=(#http://icedtea.classpath.org/download/source/icedtea6-${_icedteaver}.tar.gz
+	ftp://ftp.archlinux.org/other/openjdk6/icedtea6-${_date}.tar.bz2
 	http://download.java.net/openjdk/jdk6/promoted/${_openjdk_version}/openjdk-6-src-${_openjdk_version}-${_openjdk_date}.tar.gz
-	http://hg.openjdk.java.net/hsx/hsx14/master/archive/${_hotspotver}.tar.gz
+	http://hg.openjdk.java.net/hsx/hsx16/master/archive/${_hotspotver}.tar.gz
 	fix_jdk_cmds_path.diff
 	fix_corba_cmds_path.diff
 	aatext_by_default.diff
 	fontconfig-paths.diff
 	nonreparenting-wm.diff
-	libjpeg7.diff
-	X11.diff
+	jpeg8.diff
+	libpng14.diff
+	icedtea6-1.7-buildfix.patch
 	openjdk6.profile)
 noextract=(openjdk-6-src-${_openjdk_version}-${_openjdk_date}.tar.gz ${_hotspotver}.tar.gz)
-md5sums=('42d1938453f60f8436d18f878144d2fa'
-         '850a29b70206bc7fa083cd26acc781f3'
-         '600284e870609a7531163bf2972c573b'
-         '5da3e39fa60985576c4f37d1491efbe2'
-         'f7e7a212e50abb56a6ef1a2b1bd27405'
-         'ef60d567c0d9bad111212851220deafd'
-         'ee1afda124d5927345014ab382ef581e'
-         '409812b5675f9678b1c9e1a12a945a9a'
-         '024a266e12d8cd89c38dfd9080573f82'
-         '509fbe1a3ac27fd50a38f62f501bb429'
-         '10d13b19762218ee157273cee874394e')
-                                 
+                         
+# source PKGBUILD && mksource
+mksource() {
+	mkdir /tmp/icedtea6-${_date}
+	pushd /tmp/icedtea6-${_date}
+	hg -v clone http://icedtea.classpath.org/hg/icedtea6 || return 1
+	# use specific release branch
+	# hg -v clone http://icedtea.classpath.org/hg/release/icedtea6-1.7/ || return 1
+	rm -rf icedtea6/.hg*
+	tar -cvjf /tmp/icedtea6-${_date}/icedtea6-${_date}.tar.bz2 *
+	popd
+}
+
 build() {
 
   unset JAVA_HOME
@@ -52,25 +54,23 @@
   
     [ -z "${ANT_HOME}" ] && . /etc/profile.d/apache-ant.sh
   
-#  _javaver=1.6.0
-  _javaver=6
   _jvmdir=/usr/lib/jvm/java-${_javaver}-openjdk
 
-  cd ${srcdir}/icedtea6-${_icedteaver}
+#  cd ${srcdir}/icedtea6-${_icedteaver}
+  cd ${srcdir}/icedtea6
   ln -s ${srcdir}/openjdk-6-src-${_openjdk_version}-${_openjdk_date}.tar.gz .
   ln -s ${srcdir}/${_hotspotver}.tar.gz .
 
-  cp ${srcdir}/*.diff ${srcdir}/icedtea6-${_icedteaver}/patches/
+#  cp ${srcdir}/*.diff ${srcdir}/icedtea6-${_icedteaver}/patches/
+  cp ${srcdir}/*.diff ${srcdir}/icedtea6/patches/
 
-  # http://icedtea.classpath.org/hg/icedtea6/rev/b862917f2b93
-  patch -Np1 -i ${srcdir}/libjpeg7.diff || return 1
-  # fix for new Xorg headers
-  # http://icedtea.classpath.org/hg/icedtea6/rev/c75348f9db6a
-  patch -Np1 -i ${srcdir}/X11.diff || return 1
+  patch -Np0 -i ${srcdir}/jpeg8.diff || return 1
+  patch -Np1 -i ${srcdir}/icedtea6-1.7-buildfix.patch || return 1
 
-  autoreconf
+  sed -i "s/libxul-unstable/libxul/" configure.ac
+  autoreconf -i
 
-  export DISTRIBUTION_PATCHES="patches/fix_jdk_cmds_path.diff patches/aatext_by_default.diff patches/fontconfig-paths.diff patches/fix_corba_cmds_path.diff patches/nonreparenting-wm.diff"
+  export DISTRIBUTION_PATCHES="patches/fix_jdk_cmds_path.diff patches/aatext_by_default.diff patches/fontconfig-paths.diff patches/fix_corba_cmds_path.diff patches/nonreparenting-wm.diff patches/libpng14.diff"
 
   export ALT_PARALLEL_COMPILE_JOBS="${MAKEFLAGS/-j}"
   export HOTSPOT_BUILD_JOBS="${ALT_PARALLEL_COMPILE_JOBS}"
@@ -89,7 +89,7 @@
 	--with-xalan2-jar=/usr/share/java/xalan.jar \
 	--with-ant-home=/usr/share/java/apache-ant \
 	--with-pkgversion=ArchLinux-${pkgver}-${pkgrel}-$CARCH  $JCONF \
-	--with-hotspot-src-zip=${_hotspotver}.tar.gz
+	--with-hotspot-src-zip=${_hotspotver}.tar.gz --enable-npplugin=yes
 	
 #	--enable-npplugin \
 # 	--enable-visualvm \ --with-additional-vms=cacao,zero,shark \
@@ -101,7 +101,8 @@
  pkgdesc='Free Java environment based on OpenJDK 6.0 with IcedTea6 replacing binary plugs.'
  backup=(etc/profile.d/openjdk6.sh)
  depends=('gcc-libs' 'xdg-utils' 'hicolor-icon-theme' 'ca-certificates-java' 'libxtst')
- optdepends=('xulrunner: for the browser plugin'
+ optdepends=('nspr: for the browser plugin'
+            'gtk2: for the browser plugin'
             'alsa-lib: for sound'
             'giflib: for gif format support')
  conflicts=('java-environment' 'java-runtime')
@@ -117,10 +118,12 @@
   _javaver=6
   _jvmdir=/usr/lib/jvm/java-${_javaver}-openjdk
 
-  cd ${srcdir}/icedtea6-${_icedteaver}
+#  cd ${srcdir}/icedtea6-${_icedteaver}
+  cd ${srcdir}/icedtea6
   install -m755 -d ${pkgdir}/${_jvmdir}/jre
 
-  pushd ${srcdir}/icedtea6-${_icedteaver}/openjdk/build/linux-${_arch}/j2sdk-image
+#  pushd ${srcdir}/icedtea6-${_icedteaver}/openjdk/build/linux-${_arch}/j2sdk-image
+  pushd ${srcdir}/icedtea6/openjdk/build/linux-${_arch}/j2sdk-image
    # Install main files.
   cp -a bin include lib ${pkgdir}/${_jvmdir}/ || return 1
   cp -a jre/bin jre/lib ${pkgdir}/${_jvmdir}/jre/ || return 1
@@ -157,8 +160,7 @@
 
   # link the mozilla-plugin
   install -m755 -d ${pkgdir}/usr/lib/mozilla/plugins/
-  ln -sf ${_jvmdir}/jre/lib/${_arch/i586/i386}/IcedTeaPlugin.so ${pkgdir}/usr/lib/mozilla/plugins/ || return 1
-#  ln -sf ${_jvmdir}/jre/lib/${_arch/i586/i386}/IcedTeaNPPlugin.so ${pkgdir}/usr/lib/mozilla/plugins/ || return 1
+  ln -sf ${_jvmdir}/jre/lib/${_arch/i586/i386}/IcedTeaNPPlugin.so ${pkgdir}/usr/lib/mozilla/plugins/ || return 1
 
   # link binaries into /usr/bin
   install -m755 -d ${pkgdir}/usr/bin
@@ -191,10 +193,12 @@
   _javaver=6
   _jvmdir=/usr/lib/jvm/java-${_javaver}-openjdk
 
-  cd ${srcdir}/icedtea6-${_icedteaver}
+#  cd ${srcdir}/icedtea6-${_icedteaver}
+  cd ${srcdir}/icedtea6
   install -m755 -d ${pkgdir}/${_jvmdir}/jre
   
-  pushd ${srcdir}/icedtea6-${_icedteaver}/openjdk/build/linux-${_arch}/j2sdk-image
+#  pushd ${srcdir}/icedtea6-${_icedteaver}/openjdk/build/linux-${_arch}/j2sdk-image
+  pushd ${srcdir}/icedtea6/openjdk/build/linux-${_arch}/j2sdk-image
    # Install src.zip file
   cp -a src.zip ${pkgdir}/${_jvmdir}/ || return 1
 }

Added: jpeg8.diff
===================================================================
--- jpeg8.diff	                        (rev 0)
+++ jpeg8.diff	2010-01-24 09:56:09 UTC (rev 65084)
@@ -0,0 +1,22 @@
+--- patches/icedtea-libraries.patch	2010-01-22 19:57:38.000000000 +0000
++++ patches/icedtea-libraries.patch.new	2010-01-23 11:51:50.166950941 +0000
+@@ -25052,8 +25052,8 @@
+ +METHODDEF(void)
+ +initIDs()
+ +{
+-+#if JPEG_LIB_VERSION >= 70
+-+    void *handle = dlopen("libjpeg.so.7", RTLD_LAZY | RTLD_GLOBAL);
+++#if JPEG_LIB_VERSION >= 80
+++    void *handle = dlopen("libjpeg.so.8", RTLD_LAZY | RTLD_GLOBAL);
+ +#else
+ +    void *handle = dlopen("libjpeg.so.62", RTLD_LAZY | RTLD_GLOBAL);
+ +#endif
+@@ -25347,7 +25347,7 @@
+  Java_sun_awt_image_JPEGImageDecoder_initIDs(JNIEnv *env, jclass cls,
+                                              jclass InputStreamClass)
+  {
+-+    void *handle = dlopen("libjpeg.so.7", RTLD_LAZY | RTLD_GLOBAL);
+++    void *handle = dlopen("libjpeg.so.8", RTLD_LAZY | RTLD_GLOBAL);
+ +    if (handle == NULL) {
+ +       handle = dlopen("libjpeg.so.62", RTLD_LAZY | RTLD_GLOBAL);
+ +    }

Deleted: libjpeg7.patch
===================================================================
--- libjpeg7.patch	2010-01-24 09:39:50 UTC (rev 65083)
+++ libjpeg7.patch	2010-01-24 09:56:09 UTC (rev 65084)
@@ -1,21 +0,0 @@
-diff -r -u icedtea6-1.5.orig/patches/icedtea-libraries.patch icedtea6-1.5/patches/icedtea-libraries.patch
---- icedtea6-1.5.orig/patches/icedtea-libraries.patch	2009-05-19 14:09:16.000000000 +0200
-+++ icedtea6-1.5/patches/icedtea-libraries.patch	2009-07-19 13:19:01.000000000 +0200
-@@ -25052,7 +25052,7 @@
- +METHODDEF(void)
- +initIDs()
- +{
--+    void *handle = dlopen("libjpeg.so.62", RTLD_LAZY | RTLD_GLOBAL);
-++    void *handle = dlopen("libjpeg.so.7", RTLD_LAZY | RTLD_GLOBAL);
- +    
- +    jpegstderror = (fn_jpegstderror)dlsym(handle, "jpeg_std_error");
- +    if (jpegstderror == NULL) {
-@@ -25343,7 +25343,7 @@
-  Java_sun_awt_image_JPEGImageDecoder_initIDs(JNIEnv *env, jclass cls,
-                                              jclass InputStreamClass)
-  {
--+    void *handle = dlopen("libjpeg.so.62", RTLD_LAZY | RTLD_GLOBAL);
-++    void *handle = dlopen("libjpeg.so.7", RTLD_LAZY | RTLD_GLOBAL);
- + 
- +    jpegstderror = (fn_jpegstderror)dlsym(handle, "jpeg_std_error");
- +    if (jpegstderror == NULL) {

Added: libpng14.diff
===================================================================
--- libpng14.diff	                        (rev 0)
+++ libpng14.diff	2010-01-24 09:56:09 UTC (rev 65084)
@@ -0,0 +1,11 @@
+--- openjdk/jdk/src/share/native/sun/awt/splashscreen/splashscreen_png.c	2010-01-22 16:40:55.984689900 +0000
++++ openjdk/jdk/src/share/native/sun/awt/splashscreen/splashscreen_png.c.new	2010-01-22 16:59:25.450412461 +0000
+@@ -182,7 +182,7 @@
+     int success = 0;
+ 
+     stream->read(stream, sig, SIG_BYTES);
+-    if (!png_check_sig(sig, SIG_BYTES)) {
++    if (png_sig_cmp(sig, 0, SIG_BYTES)) {
+         goto done;
+     }
+     success = SplashDecodePng(splash, my_png_read_stream, stream);




More information about the arch-commits mailing list